org.eclipse.zest.core.viewers

## Class EntityConnectionData

- java.lang.Object
- - org.eclipse.zest.core.viewers.EntityConnectionData

    public final class EntityConnectionData
    extends java.lang.Object

A simple object that is used as the "external connection" in content providers that don't ask the user to create their own external connection. This is used whenever users don't specify a connection

### Field Summary

Fields
`java.lang.Object` `dest`
`java.lang.Object` `source`

### Constructor Summary

Constructors
Constructor and Description
`EntityConnectionData(java.lang.Object source, java.lang.Object dest)` Creates a new entity connection data.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### source

    public final java.lang.Object source

#### dest

    public final java.lang.Object dest

### Constructor Detail

#### EntityConnectionData

    public EntityConnectionData(java.lang.Object source,
                        java.lang.Object dest)

Creates a new entity connection data. The source and dest are users nodes.

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`